# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBI.pm) perl(Digest/MD5.pm) perl(HTTP/Daemon/SSL.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(IO/Socket.pm) perl(MIME/Base64.pm) perl(Math/BigInt.pm) perl(Pod/Simple/Text.pm) perl(Sys/Hostname.pm) perl(Test.pm) perl(Time/Local.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.VOMS.Lite.Attribs.SHIBHelper.pm./d
%add_findreq_skiplist %perl_vendor_privlib/VOMS/*.pl
%add_findreq_skiplist /usr/sbin/voms-*.pl 
%add_findreq_skiplist %_bindir/voms-*.pl 

Name:           perl-VOMS-Lite
Version:        0.14
Release:        alt1_7
Summary:        Perl extension for VOMS Attribute certificate creation
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/VOMS-Lite/
Source0:        ftp://ftp.funet.fi/pub/CPAN/authors/id/M/MI/MIKEJ/VOMS-Lite-%{version}.tar.gz
Source1:        voms.config
BuildArch:      noarch
BuildRequires:  perl(Crypt/DES_EDE3.pm)
BuildRequires:  perl(Digest/MD2.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/Socket/SSL.pm)
BuildRequires:  perl(Regexp/Common.pm)
BuildRequires:  perl(Term/ReadKey.pm)
BuildRequires:  perl(Math/BigInt/GMP.pm)
BuildRequires:  perl(Crypt/CBC.pm)
Requires:       perl(Math/BigInt/GMP.pm)
Requires:       perl(Crypt/DES_EDE3.pm)
Requires:       perl(Digest/MD2.pm)
Requires:       perl(Digest/SHA1.pm)
Requires:       perl(IO/Socket/SSL.pm)
Requires:       perl(Regexp/Common.pm)
Requires:       perl(Term/ReadKey.pm)

# RPM 4.8 style
# Remove WIN32::API from the requires. It is only ever loaded 
# on that platform.
%{echo 
%filter_from_requires /^perl.WIN32.API.pm./d

}
#Add a test sub package.
%{?perl_default_subpackage_tests}
# RPM 4.9 style

Source44: import.info

%description
VOMS (virtual organization membership service) is a system for 
managing grid level authorization data within 
multi-institutional collaborations via membership and roles
within that membership.

VOMS::Lite provides a perl library and client tools 
for interacting with an existing voms service including the 
well known C implementation of voms.

A number of commands are included for generating and processing 
proxies including  voms-proxy-init.pl, voms-ac-issue.pl, ...

Configuration of client tools can be supplied via 
$ENV{'VOMS_CONFIG_FILE'} or else ~/.grid-security/voms.conf. 
The root user only uses /etc/grid-security/voms.config.

%package -n perl-voms-server
Group:      Development/Perl
Summary:    Perl extension for VOMS Attribute certificate creation
Requires:   perl-VOMS-Lite = %{version}-%{release}

%description -n perl-voms-server
VOMS (virtual organization membership service) is a system for 
managing grid level authorization data within 
multi-institutional collaborations via membership and roles
within that membership.

A server voms-server.pl providing a perl implementation
of a VOMS server.

%prep
%setup -q -n VOMS-Lite-%{version}
chmod 644 example/PROXYINFO.pl
cp -p %{SOURCE1} .

#On .el4 and .el5 we filter requires the old fashined
#way still.  The magic stuff about won't work.
%if 0%{?el4}%{?el5}
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(WIN32::API)/d'
EOF

%global __perl_requires %{_builddir}/VOMS-Lite-%{version}/%{name}-req
chmod +x %{__perl_requires}
%endif # end of if el4,5.

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install DESTDIR=%{buildroot}
# I believe the voms-server.pl was meant to be installed in 
# sbin.
mkdir %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/voms-server.pl %{buildroot}%{_sbindir}/voms-server.pl
mv %{buildroot}%{_bindir}/vomsserver.pl %{buildroot}%{_sbindir}/vomsserver.pl
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

# Install a default configuration file and directory for VO grid-mapfiles.
mkdir -p %{buildroot}%{_sysconfdir}/grid-security/grid-mapfile.d
install -p -m 644 voms.config %{buildroot}%{_sysconfdir}/grid-security/voms.config

%check
make test

%files
%doc Changes README TODO example
%{perl_vendor_privlib}/*
%{_bindir}/cert-init.pl
%{_bindir}/cert-req.pl
%{_bindir}/examineAC.pl
%{_bindir}/extractVOMS.pl
%{_bindir}/myproxy-get.pl
%{_bindir}/myproxy-init.pl
%{_bindir}/proxy-init.pl
%{_bindir}/verifycert.pl
%{_bindir}/voms-ac-issue.pl
%{_bindir}/voms-proxy-init.pl
%{_bindir}/voms-proxy-list.pl
%{_mandir}/man1/cert-init.pl.1*
%{_mandir}/man1/cert-req.pl.1*
%{_mandir}/man1/examineAC.pl.1*
%{_mandir}/man1/extractVOMS.pl*
%{_mandir}/man1/myproxy-get.pl*
%{_mandir}/man1/myproxy-init.pl*
%{_mandir}/man1/proxy-init.pl*
%{_mandir}/man1/verifycert.pl*
%{_mandir}/man1/voms-ac-issue.pl.1*
%{_mandir}/man1/voms-proxy-init.pl.1*
%{_mandir}/man1/voms-proxy-list.pl.1*

%dir %{_sysconfdir}/grid-security
%dir %{_sysconfdir}/grid-security/grid-mapfile.d
%config(noreplace) %{_sysconfdir}/grid-security/voms.config

%files -n perl-voms-server
%{_sbindir}/voms-server.pl
%{_sbindir}/vomsserver.pl
%{_mandir}/man1/voms-server.pl.1*
%{_mandir}/man1/vomsserver.pl.1*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_6
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_4
- fc import

